## openarena-data 0.8.5

=== debian/changelog ===
openarena-data (0.8.5-3) unstable; urgency=low

  * Encode a search prefix into the fake QVM files so we can load different
    native code; OA 0.8.1 and 0.8.5 turn out not to be network-compatible.
    (When combined with changes to openarena, this will close #592965)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Aug 2010 20:16:33 +0100

openarena-data (0.8.5-2) unstable; urgency=low

  * Include directory entries explicitly in the repacked PK3 files, so the
    Setup->Player->Model menu can find the models (Closes: #591014)
  * Standards-Version: 3.9.1 (no changes needed)
  * Upload to unstable, now that 0.8.1+dfsg1-1 has migrated

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Aug 2010 10:59:00 +0100

openarena-data (0.8.5-1) experimental; urgency=low

  * New upstream patch 0.8.5
  * Include the generated stub QVM files in the source tarball so we don't have
    to keep repeating the process (they can be deleted at any time, and will
    automatically be reinstated with identical contents)

 -- Simon McVittie <smcv@debian.org>  Thu, 29 Jul 2010 19:45:24 +0100

openarena-data (0.8.1+dfsg1-1) unstable; urgency=low

  [ Iain Lane ]
  * debian/control: Remove myself from Uploaders

  [ Simon McVittie ]
  * Add myself to Uploaders
  * Set source format to 3.0 (quilt)
  * Repack upstream tarball, unzipping the PK3 files for greater transparency
    and removing QVM files that cannot be compiled with a Free compiler
    (closes: #523323)
  * At build time, repack the PK3 files
  * At build time, replace the missing QVM files with a magic number that
    causes openarena (>= 0.8.1-8) to load native-code equivalents, and has
    the same CRC-32 as the missing file for network compatibility
  * Breaks: openarena-data (<< 0.8.1-8~) due to those changes
  * Split README.Debian into README.Debian and README.source, with the latter
    going into more detail about the process
  * Add an empty debian/watch explaining why we're not uscan-compatible

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Jul 2010 10:47:38 +0100

openarena-data (0.8.1-2) unstable; urgency=low

  * Upload to unstable
  * Add myself in Uploaders: 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 14 Feb 2009 15:45:22 +0100

openarena-data (0.8.1-1) experimental; urgency=low

  * New upstream release 0.8.1
    + Contains mission pack (new mode of play, currently an early preview)
    + Several new maps and weapons
  * debian/rules, debian/openarena-data.{docs,install}, debian/compat: Convert
    to DH7 style.

 -- Iain Lane <laney@ubuntu.com>  Sun, 08 Feb 2009 12:27:17 +0000

openarena-data (0.7.7-1) unstable; urgency=low

  * New upstream release
    * Build .orig.tar.gz from upstream 0.7.7 upgrade patch merged with 0.7.6
      .orig.tar.gz

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Tue, 24 Jun 2008 11:54:20 +0200

openarena-data (0.7.6-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release
  * Expand copyright years in debian/copyright
  * Update README.Debian: Description how the .orig.tar.gz was created for
    Debian

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Thu, 24 Apr 2008 14:01:53 +0200

openarena-data (0.7.1-2) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * Rename XS-Vcs-fields to Vcs-fields in the control file
  * Add Homepage-field to control file
  * Update to standards version 3.7.3.0. No changes
  * Conflict against outdated engine package
  * Update my email address where necessary
  * Fix unresolvable recommended packages (Closes: #448921)

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Tue, 05 Feb 2008 14:25:17 +0100

openarena-data (0.7.1-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release
  * Versioned recommend of openarena or openarena-server package
  * Updated copyright date in debian/copyright
  * Manually include the "patch" pak7-patch.pk3 to make it version 0.7.1 and
    document this in README.Debian

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Fri, 10 Aug 2007 23:59:18 +0200

openarena-data (0.6.0-1) unstable; urgency=low

  * Initial release

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Wed,  6 Dec 2006 15:38:12 +0100
