=== debian/control ===
Source: openarena-data
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@tauware.de>,
           Simon McVittie <smcv@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: libarchive-zip-perl, zip, zlib1g-dev
Standards-Version: 3.9.1
Homepage: http://www.openarena.ws/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/openarena-data/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/openarena-data/?op=log

Package: openarena-data
Architecture: all
Depends: ${misc:Depends}
Recommends: openarena (>= 0.8.1) | openarena-server (>= 0.8.1)
Breaks: openarena-server (<< 0.8.1-8~), openarena (<< 0.8.1-8~)
Description: OpenArena game data
 OpenArena is an open-source content package for Quake 3 Arena licensed
 under the GPL, effectively creating a free stand-alone game. Though OpenArena 
 is a free replacement for id Software Inc.'s Quake III Arena, it is NOT 
 comptabible with the proprietary game!
 .
 This package installs OpenArena maps, models, sounds, etc.
