## openarena-data 0.8.5split

=== debian/changelog ===
openarena-data (0.8.5split-9) unstable; urgency=medium

  * Normalize mtime of vm directory in PK3 archive to SOURCE_DATE_EPOCH
    for reproducible builds of openarena-data, openarena-085-data,
    openarena-088-data

 -- Simon McVittie <smcv@debian.org>  Sun, 25 Sep 2016 17:38:41 +0100

openarena-data (0.8.5split-8) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Normalize permissions of PK3 archive contents to 0644/0755 to
    fix reproducibility under different umask (Closes: #819965)

  [ Simon McVittie ]
  * d/rules: add a comment indicating why we cannot run
    dh_strip_nondeterminism
  * d/rules: chmod all files, even those not in the obvious directory
    (mp-pak0.pk3 contains ../CREDITS and ../COPYING)
  * Standards-Version: 3.9.8 (no changes needed)
  * Pass CPPFLAGS to C compiler for QVM-synthesizing program, avoiding
    warnings from build-log checks
  * Use SOURCE_DATE_EPOCH for timestamps, and build-depend on the
    debhelper version that defines it

 -- Simon McVittie <smcv@debian.org>  Tue, 28 Jun 2016 10:38:50 +0100

openarena-data (0.8.5split-7) unstable; urgency=medium

  * Switch Vcs-Browser to cgit and https
  * Add shared files for the OpenArena Community Map Pack, volume 1
    (available as the openarena-oacmp1 source package, but the majority
    of the debian/ directory is duplicated to simplify merging)
  * Standards-Version: 3.9.7 (no changes needed)
  * Normalize packaging via wrap-and-sort -abst
  * Use https for Vcs-Git (lintian: vcs-field-uses-insecure-uri)
  * gbp.conf: do not set export-dir, tarball-dir: this is a local
    preference for the developer doing the build, not something that
    should be in the VCS
  * Verify at dh_builddeb time that the PK3 is compatible with upstream
  * Do not put the PK3 files through dh_strip_nondeterminism: order
    is important for these files (see #819113)
  * Clean up generated openarena-088-data.README.Debian

 -- Simon McVittie <smcv@debian.org>  Thu, 24 Mar 2016 10:23:22 +0000

openarena-data (0.8.5split-6) unstable; urgency=medium

  * Actually include the change to use zip -X -o, which somehow
    didn't make it into the previous upload.

 -- Simon McVittie <smcv@debian.org>  Wed, 06 May 2015 20:37:47 +0100

openarena-data (0.8.5split-5) unstable; urgency=medium

  * Another try at reproducibility:
    - do the build with TZ=UTC to make sure the (local) timestamps
      in the zip file are the same in any build
    - use zip -X to omit all optional fields (uid, gid, UTC timestamp)
    - use zip -o to set the zip file's embedded timestamp equal to the
      newest file in it

 -- Simon McVittie <smcv@debian.org>  Mon, 04 May 2015 09:39:46 +0100

openarena-data (0.8.5split-4) unstable; urgency=medium

  * debian/rules: make more use of dh and /usr/share/dpkg/default.mk
  * Apply changelog date to the fake QVM files, for reproducible builds
  * debian/copyright: update date
  * debian/copyright: list permissive license of list-pk3.pl and qvmbrute.c
  * Standards-Version: 3.9.6 (no changes)

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Apr 2015 11:10:34 +0100

openarena-data (0.8.5split-3) unstable; urgency=low

  * Update common files for 0.8.8
  * Support build-arch, build-indep
  * Standards-Version: 3.9.5 (no changes)
  * Bump debhelper compat level to 9 to avoid deprecated dh_pysupport

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Aug 2014 10:42:55 +0100

openarena-data (0.8.5split-2) unstable; urgency=low

  * Apply patch from Ubuntu to fix linking with more recent ld
    (Closes: #629893, LP: #794941)
  * Don't build qvmbrute unless we actually need to replace QVM files in
    this particular package (only -data, -misc and -085-data actually need it)
  * Move the split version of openarena-data to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Jul 2011 08:42:08 +0100

openarena-data (0.8.5split-1) experimental; urgency=low

  * Fix misspelling in Description (Closes: #609493) and make it less shouty
  * Move to git
    - add gbp.conf
    - do builds from git by overlaying onto the orig tarball, and abort
      on upstream changes
  * Remove useless recommendation of client/server
  * Flatten directory structure
  * Advance debhelper compat level to 8
  * Standards-Version: 3.9.2 (no changes)
  * Spin off openarena-081-maps, openarena-081-players,
    openarena-081-players-mature, openarena-081-textures,
    openarena-081-misc and openarena-085-data into separate packages
    so they'll fit on CDs better; depend on them
  * Include (best-effort) source files for the assets
  * Target experimental, since this package will be uninstallable until
    the other packages complete NEW processing

 -- Simon McVittie <smcv@debian.org>  Sat, 28 May 2011 20:12:21 +0100
