=== debian/control ===
Source: openarena-data
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@tauware.de>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper (>= 9.20151004~),
Build-Depends-Indep:
 libarchive-zip-perl,
 zip,
 zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://www.openarena.ws/
Vcs-Git: https://anonscm.debian.org/git/pkg-games/openarena-data.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/openarena-data.git/

Package: openarena-data
Architecture: all
Depends:
 openarena-081-maps,
 openarena-081-misc,
 openarena-081-players,
 openarena-081-players-mature,
 openarena-081-textures,
 openarena-085-data,
 ${misc:Depends},
Breaks:
 openarena (<< 0.8.1-8~),
 openarena-server (<< 0.8.1-8~),
Description: OpenArena game data
 OpenArena is an open-source content package for the Quake III
 engine, effectively creating a free stand-alone game similar to
 Quake III Arena.
 .
 In Debian, OpenArena game data are divided into several packages.
 This package contains the basic game content from OpenArena 0.8.1,
 and depends on the rest of the game data from OpenArena 0.8.1 and 0.8.5.
