=== debian/watch ===
# Upstream releases are available from http://www.openarena.ws/download.php
# but that page isn't really susceptible to uscan, so this watch file
# does nothing.
